Subject: bug#27007: boot-parameters are not documented

From: <[email-masked]>
Date: Fri, 26 May 2017 11:03:41 +0200 (CEST)

On Fri, 26 May 2017 10:47:02 +0200, [email-masked] (Ludovic Courtès) wrote:

> Danny Milosavljevic <[email-masked]> skribis:
> 
> > On Tue, 23 May 2017 10:13:11 +0200 [email-masked] (Ludovic Courtès)
> > wrote:
> >> Can we assume that all the bootloaders have a notion of “menu” and
> >> “menu entries”?
> >
> > I think so.
> >
> > But there are bootloaders that [also can] do the traditional thing:
> > When you select an entry, it can chainload the bootsector of that
> > partition.  For example Grub can do that.  We don't support that use
> > case yet.  Grub can also load Windows NT bootloader directly or
> > chainload an UEFI file etcetc - there are actually a lot of different
> > kinds of "menu entries" even with the same bootloader.
> 
> Right, but this is about the content of the menu entry.  If we want to
> support that, we can provide an “escape hatch” in the ‘menu-entry’
> object, which would be a string that goes as-is in the bootloader’s
> config file.
> 
> I wonder if we should support everything you mention though.  OTOH it
> would not feel right if we can’t load other free operating systems like
> FreeBSD, etc.  Maybe we should just start with support for GNU variants
> only and improve it later as people ask for it.
> 
> Thoughts?
> 
> Ludo’.

I think it's a matter of freedom of choice that we support all systems unconditionally
if they exist on the system the person uses.
We can start with GNU systems but should add support for everything afterwards,
no matter if people ask or not. Maybe they can't ask because they don't know what
is wrong and they just assume that their old system is now gone and they can not
dualboot as they assumed.